Subject: Aquila outgoing guaranty (ref: gty2846.doc)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 5 Mar 2001 01:38:00 -0800 (PST)

Dan,

Per our conversation on Friday regarding HPL, please coordinate with Clement 
to issue a new guaranty.  As you recall, Aquila Energy Marketing Corporation 
has $50MM of exposure from HPL and they have requested additional security 
above the amount in the current guaranty listing HPL (gty2846.doc).  Please 
issue a new guaranty for HPL covering Aquila Energy Marketing Corporation for 
physical natural gas in the amount of $50MM.  In addition, please put 
language in this guaranty which would amend the existing guaranty 
(gty2846.doc) that would remove HPL. 

Thank you,

Russell